Package be.fgov.ehealth.dics.protocol.v4

# Class AmpListDataType

java.lang.Object
be.fgov.ehealth.dics.protocol.v4.AmpListDataType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class AmpListDataType extends Object implements Serializable

Java class for AmpListDataType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmpListDataType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="OfficialName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
             <element name="PrescriptionName" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType" minOccurs="0"/>
             <element name="AbbreviatedName" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AmpListDataType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConsultTextType`
  `getAbbreviatedName()`
  Abbreviation of the medicinal product name.
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `ConsultTextType`
  `getName()`
  The translations of the AMP’s official name of the AMP in French, Dutch, German and English.
  `String`
  `getOfficialName()`
  The AMP’s official name in the language mentioned on the marketing authorisation.
  `ConsultTextType`
  `getPrescriptionName()`
  Standard name identifying a medicinal product for prescriptions, structured uniformly by BCPI.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `void`
  `setAbbreviatedName(ConsultTextType value)`
  Sets the value of the abbreviatedName property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setName(ConsultTextType value)`
  Sets the value of the name property.
  `void`
  `setOfficialName(String value)`
  Sets the value of the officialName property.
  `void`
  `setPrescriptionName(ConsultTextType value)`
  Sets the value of the prescriptionName property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AmpListDataType

    public AmpListDataType()

- ## Method Details

  - ### getOfficialName

    public String getOfficialName()
    The AMP’s official name in the language mentioned on the marketing authorisation. The name contains the strength of the medicinal product.
    Returns:
      possible object is `String`

  - ### setOfficialName

    public void setOfficialName(String value)
    Sets the value of the officialName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getOfficialName()`

  - ### getName

    public ConsultTextType getName()
    The translations of the AMP’s official name of the AMP in French, Dutch, German and English.
    Returns:
      possible object is `ConsultTextType`

  - ### setName

    public void setName(ConsultTextType value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getName()`

  - ### getPrescriptionName

    public ConsultTextType getPrescriptionName()
    Standard name identifying a medicinal product for prescriptions, structured uniformly by BCPI. This field is translated in French, Dutch, German and English. French and Dutch versions are mandatory and others are optional.
    Returns:
      possible object is `ConsultTextType`

  - ### setPrescriptionName

    public void setPrescriptionName(ConsultTextType value)
    Sets the value of the prescriptionName property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getPrescriptionName()`

  - ### getAbbreviatedName

    public ConsultTextType getAbbreviatedName()
    Abbreviation of the medicinal product name. This field is translated in French, Dutch, German and English. French and Dutch versions are mandatory and others are optional.
    Returns:
      possible object is `ConsultTextType`

  - ### setAbbreviatedName

    public void setAbbreviatedName(ConsultTextType value)
    Sets the value of the abbreviatedName property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getAbbreviatedName()`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`